|
|||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | ||||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | ||||||||||
java.lang.Objectorg.opencms.workplace.CmsWorkplace
org.opencms.workplace.CmsFrameset
Provides methods for building the main framesets of the OpenCms Workplace.
The following files use this class:
| Field Summary | |
static String[] |
FRAMES
The names of the supported frames. |
static List |
FRAMES_LIST
The names of the supported frames in a list. |
static String |
JSP_WORKPLACE_URI
Path to the JSP workplace frame loader file. |
static String |
PARAM_WP_FRAME
The request parameter for the selection of the frame. |
static String |
PARAM_WP_PROJECT
The request parameter for the workplace project selection. |
static String |
PARAM_WP_SITE
The request parameter for the workplace site selection. |
static String |
PARAM_WP_START
The request parameter for the workplace start selection. |
static String |
PARAM_WP_VIEW
The request parameter for the workplace view selection. |
| Constructor Summary | |
CmsFrameset(CmsJspActionElement jsp)
Public constructor. |
|
| Method Summary | |
String |
buildContextMenues()
Builds the Javascript for the Workplace context menus. |
String |
getBroadcastMessage()
Returns the javascript code for the broadcast message alert in the foot of the workplace. |
int |
getExplorerSettings()
Returns the file settings for the Workplace explorer view. |
String |
getGroupSelect(String htmlAttributes)
Returns a html select box filled with groups of the current user. |
String |
getLoginAddress()
Returns the remote ip address of the current user. |
String |
getLoginTime()
Returns the last login time of the current user in localized format. |
String |
getProjectSelect(String htmlAttributes,
String htmlWidth)
Returns a html select box filled with the current users accessible projects. |
String |
getSiteSelect(String htmlAttributes)
Returns a html select box filled with the current users accessible sites. |
String |
getStartupUri()
Returns the startup URI for display in the main body frame, this can eihter be the user default view, or (if set) a sepcific startup resource. |
String |
getViewSelect(String htmlAttributes)
Returns a html select box filled with the views accessible by the current user. |
String |
getWorkplaceReloadUri()
Returns the reload URI for the OpenCms workplace. |
protected void |
initWorkplaceRequestValues(CmsWorkplaceSettings settings,
HttpServletRequest request)
Analyzes the request for workplace parameters and adjusts the workplace settings accordingly. |
boolean |
isPublishEnabled()
Returns true if the user has publish permissions for the current project. |
boolean |
isReloadRequired()
Returns true if a reload of the main body frame is required. |
boolean |
isSyncEnabled()
Returns true if the user has enabled synchronization. |
boolean |
showSiteSelector()
Indicates if the site selector should be shown in the top frame depending on the count of accessible sites. |
protected void |
topFrameReload(CmsWorkplaceSettings settings)
Performs certain clear cache actions if the top frame is reloaded. |
| Methods inherited from class java.lang.Object |
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Field Detail |
public static final String[] FRAMES
public static final List FRAMES_LIST
public static final String PARAM_WP_FRAME
public static final String PARAM_WP_PROJECT
public static final String PARAM_WP_SITE
public static final String PARAM_WP_START
public static final String PARAM_WP_VIEW
public static final String JSP_WORKPLACE_URI
| Constructor Detail |
public CmsFrameset(CmsJspActionElement jsp)
jsp - an initialized JSP action element| Method Detail |
public String buildContextMenues()
public String getBroadcastMessage()
public int getExplorerSettings()
public String getGroupSelect(String htmlAttributes)
htmlAttributes - attributes that will be inserted into the generated html
public String getLoginAddress()
public String getLoginTime()
public String getProjectSelect(String htmlAttributes,
String htmlWidth)
htmlAttributes - attributes that will be inserted into the generated htmlhtmlWidth - additional "width" html attributes
public String getSiteSelect(String htmlAttributes)
htmlAttributes - attributes that will be inserted into the generated html
public String getStartupUri()
public String getViewSelect(String htmlAttributes)
htmlAttributes - attributes that will be inserted into the generated html
public String getWorkplaceReloadUri()
public boolean isPublishEnabled()
public boolean isReloadRequired()
true if a reload of the main body frame is required.This value is modified with the select options (project, site or view) in the head frame of the Workplace. If a user changes one of these select values, the head frame is posted "against itself". The posted values will be processed by this class, causing the internal Workplace settings to change. After these settings have been changed, a reload of the main body frame is required in order to update it with the new values. A JavaScript in the Workplace head frame will be executed in this case.
true if a reload of the main body frame is requiredpublic boolean isSyncEnabled()
public boolean showSiteSelector()
protected void initWorkplaceRequestValues(CmsWorkplaceSettings settings,
HttpServletRequest request)
CmsWorkplace
initWorkplaceRequestValues in class CmsWorkplacesettings - the workplace settingsrequest - the current requestCmsWorkplace.initWorkplaceRequestValues(org.opencms.workplace.CmsWorkplaceSettings, javax.servlet.http.HttpServletRequest)protected void topFrameReload(CmsWorkplaceSettings settings)
settings - the current users workplace settings
|
|||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | ||||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | ||||||||||